package com.common.bluetooth.callback

import android.bluetooth.BluetoothDevice

/**
 * BLE扫描数据监听
 *
 * @author Alex Wang
 * @since 2022-2-18
 */
interface BLEScanListener {
    /**
     * 扫描的结果
     *
     * @param result 扫描到的ble设备数据
     */
    fun onResult(result: BluetoothDevice)

    /**
     * 扫描的完成
     */
    fun onComplete()
}